function [numberOfJumps, initialPosition, finalPosition, path, capturedPieaces] = check_move(board, old_board)
global old_board;

%initialization
numberOfJumps = -1;
initialPosition = [-1 -1];
finalPosition = [-1 -1];
path = [-1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1];
capturedPieaces = [-1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1; -1 -1];


tmp = sum(board(:,4));
tt=zeros(8);
if tmp ~= 0
    board = board';
else
    for i = 8:-1:1
        for j = 8:-1:8
            tt(i,j) = board(i,9-j);
        end
    end
end
%has something changed?
if old_board == 0
    old_board = board;
    return;
end
%dif_board = old_board - board;
% if (sum(sum(dif_board)) == 0) %return if nothing changes
%     a = 0;
%     return;
% end
old_board = board;      %save board state
tmp_b = zeros(8);

%yelow piece is represented by 1
%black piece is represented by 2
for i=1:8
    for j=1:8
        if board(i,j) ~= 0
%             if board(i,j) == 1
%                 board(i,j) = 2
%             else board(i,j) = 1
%            end
            tmp_b(i,j) = bitor(board(i,j), 4);  %MEN in the engine is represented by Color || 4, KING = Color || 8
        else tmp_b(i,j) = 0;
        end
    end
end
%validate move


%write board state file
fid = fopen('board.chb','w');
%tmp_b = tmp_b';
for i = 1:8
    for j = 8:-1:1
        tmp = sprintf('%d ',int32(tmp_b(i,j)));
        fwrite(fid,tmp);
    end
    %fwrite(fid,'\n');
end
fclose(fid);
%call engine
display PEEP;
system('Interfeisas.exe'); %call the checkers engine
display BEEP;
%read file


fid = fopen('engine.out','r'); %read engine output file

numberOfJumps = fscanf(fid,'%d',1);
fscanf(fid,'%d',2);
initialPosition = fscanf(fid,'%d',2);
finalPosition = fscanf(fid,'%d',2);
path = fscanf(fid,'%d',[2 12]);
capturedPieaces = fscanf(fid,'%d',[2 12]);

mark_tile (initialPosition(2)+1, initialPosition(1)+1, [1, 0, 0]);
initialPosition(2)+1, initialPosition(1)+1
for i = 2:numberOfJumps
    row = path(1,i)+1;
    col = path(2,i)+1;
    mark_tile (row, col, [1, 0, 0]);
    row, col
end


