function ret = RANDOM (a, b, n, u)
    % generate n (unique) random values form the specified interval [a,b] 
    if nargin < 3 
        n = 1;
    end

    if nargin < 4
        u = 0;
    end

    while true
        for i=1:n
            ret (i,1) = a + rand * (b-a);
        end
        
        if u
            if length (unique (round (ret)))==n
                break;
            end
        else
            break;
        end
    end
end
