function r = auto_cb (I)
    global image_handle;
    global IM;
        
    Nrow = 8;
    Ncol = 8;

    global Default_pixel_size;
    % IM = im2double (imread ('image3.png'));
    img_handle = imshow (IM);
    IMgray = rgb2gray (IM);
% 
%     sigma = 2;
% 
%     siz = [size(IMgray,2), size(IMgray,1)];
%     
%     gs = calcGaussian (sigma, max(1,fix(8*sigma+1)));
% 
%     dxx = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'xx');
%     dyy = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'yy');
%     dxy = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'xy');
% 
%     rxx = conv2fft (IMgray, dxx, 'same');
%     ryy = conv2fft (IMgray, dyy, 'same');
%     rxy = conv2fft (IMgray, dxy, 'same');
% 
%     C = rxx .* ryy - rxy.^2;
% 
%     radius = 5;
%     ms = ordfilt2 (C, 1, ones (radius));
%     mss = (C==ms).*C;
% 
%     thr = min (min (mss)) * 0.1;
%     peaks = find (mss<thr);
%     [a, b] = hist (mss(peaks));
% 
%     Npts = 100;
% 
%     for i=1:length (a)-1;
%         if (sum (a(1:i))>Npts)
%             break;
%         end
%     end
% 
%     rez = mss<(b(i)+(b(2)-b(1))/2);
% 
%     [py, px] = find (rez);
%     
%     corners = [px, py];
%     
    BW = edge(IMgray);

    [H,T,R] = hough(BW);

    P = houghpeaks (H, 18, 'threshold',ceil(0.3*max(H(:))));
    if size (P,1)~=18
        r = [0 0];
        return;
    end
    
    hold on;

    [tmp, tind] = sort (P(:,2));

    left_col = P(tind(1:9),:);
    right_col = P(tind(10:18),:);

    [tmp, tind] = sort (left_col (:,1));
    left_col = left_col(tind,:);

    [tmp, tind] = sort (right_col (:,1));
    right_col = right_col(tind,:);

%     imagesc (R);
%     hold on;
%     plot (left_col([1,9],2),left_col([1,9],1),'go');
%     plot (right_col([1,9],2),right_col([1,9],1),'ro');

%     plot (left_col(:,2), left_col(:,1), 'rx');
%     plot (right_col(:,2), right_col(:,1), 'gx');

    lines = houghlines(BW,T,R,[left_col(1,:); left_col(9,:); right_col(1,:); right_col(9,:)], 'FillGap',5000,'MinLength',100);

    xy={};
    l={};
    for k = 1:length(lines)
       xy{k} = [lines(k).point1; lines(k).point2];
%        plot(xy{k}(:,1),xy{k}(:,2),'LineWidth',2,'Color','green');

       tmp = xy{k};
       l{k}=cross ([tmp(1,1); tmp(1,2); 1], [tmp(2,1); tmp(2,2); 1]);
    end


    width = size(IMgray,2);
    height = size(IMgray,1);

    pts(1,:)=cross(l{1},l{3})';
    pts(2,:)=cross(l{3},l{2})';
    pts(3,:)=cross(l{2},l{4})';
    pts(4,:)=cross(l{4},l{1})';

    pts = hom(pts);
    r = pts;
    pts(end+1,:) = pts(1,:);

%     if sum(pts(:,1)<0)>0 || sum(pts(:,1)>size (IMgray, 2))>0 || sum(pts(:,2)<0)>0 || sum(pts(:,2)>size (IMgray, 1))>0
%         ret = [0 0];
%         return;
%     end
%     disp ('proso');
%     
%     pts(end+1,:) = pts(1,:);
% 
%     ptsI = [0, 0; 0, Nrow; Ncol, Nrow; Ncol, 0];
%     ptsI = ptsI*Default_pixel_size;
% 
%     H = calcH (ptsI,pts(1:4,1:2));
%     
%     [ty, tx] = meshgrid (1:9, 1:9);
%     x = reshape(tx, prod(size(tx)),1);
%     y = reshape(ty, prod(size(ty)),1);
%     
%     tmppts = [x, y] * Default_pixel_size;
%     tmppts(:,3) = 1;
%     projpts = hom (H*tmppts');
%     
%     good_points = 0;
%     Ncorners = size (corners,1);
%     max_distance = 3^2;
%     for i=1:size(projpts,1)
%         tmp = corners - repmat (projpts(i,1:2), Ncorners,1);
%         tmp = (tmp(:,1).^2+tmp(:,2).^2);
%         is_it_close = sum((tmp<max_distance)==1);
%         if is_it_close>0
%             good_points = good_points + 1;
%         end
%     end
%     Ncorners
%     if Ncorners<70
%         r = [0 0];
%     end
%     plot (projpts(:,1), projpts(:,2), 'yx');
%     plot (corners(:,1), corners(:,2), 'rx');
    plot (pts(:,1), pts(:,2), 'g');
end
