function [black_color_data, white_color_data] = do_image_normalization();
    thr0 = 0.1;

    global IM;
    global Default_board_size;
    global Default_pixel_size;
    global projections;
    global H;   
    global default_random_samples;

    i = 28;
    index = size(IM,1)*(projections{i}(:,1)-1)+projections{i}(:,2);

    % separate color channels
    sourceR = IM(:,:,1);
    sourceG = IM(:,:,2);
    sourceB = IM(:,:,3);

    % color_hold all collected data
    color_data1 = sum([sourceR(index), sourceG(index), sourceB(index)])/length(index);

    i = 29;
    index = size(IM,1)*(projections{i}(:,1)-1)+projections{i}(:,2);

    % separate color channels
    sourceR = IM(:,:,1);
    sourceG = IM(:,:,2);
    sourceB = IM(:,:,3);

    % color_hold all collected data
    color_data2 = sum([sourceR(index), sourceG(index), sourceB(index)])/length(index);

    if color_data1 (1)<0.5
        % this is the black tile
        black_color_data = sum(color_data1)/3;%sum(sum([sourceR(index), sourceG1(index), sourceB(index)])/length(index))/3;
        white_color_data = sum(color_data2)/3;%sum(sum([sourceR(index), sourceG1(index), sourceB(index)])/length(index))/3;
    else
        % this is the white tile
        black_color_data = sum(color_data2)/3;%sum(sum([sourceR(index), sourceG1(index), sourceB(index)])/length(index))/3;
        white_color_data = sum(color_data1)/3;%sum(sum([sourceR(index), sourceG1(index), sourceB(index)])/length(index))/3;
    end
    
%     x = 4;
%     y = 5;
%     left = (x-1)*Default_pixel_size;
%     right = (x)*Default_pixel_size;
%     bottom = (y-1)*Default_pixel_size;
%     top = (y)*Default_pixel_size;
%     
%     random_samples=default_random_samples;
%     random_samples(:,1) = random_samples(:,1) + left;
%     random_samples(:,2) = random_samples(:,2) + bottom;
% 
%     random_samples(:,3) = 1;
%     tmpProject = round (hom(H*random_samples'));
% 
%     index = size(IM,1)*(tmpProject(:,1)-1)+tmpProject(:,2);
% 
%     sourceR = IM(:,:,1);
%     sourceG = IM(:,:,2);
%     sourceB = IM(:,:,3);
%     black_color_data = sum(sum([sourceR(index), sourceG(index), sourceB(index)])/length(index))/3;
% 
%     x = 4;
%     y = 4;
%     left = (x-1)*Default_pixel_size;
%     right = (x)*Default_pixel_size;
%     bottom = (y-1)*Default_pixel_size;
%     top = (y)*Default_pixel_size;
%     
%     random_samples=default_random_samples;
%     random_samples(:,1) = random_samples(:,1) + left;
%     random_samples(:,2) = random_samples(:,2) + bottom;
% 
%     random_samples(:,3) = 1;
%     tmpProject = round (hom(H*random_samples'));
% 
%     index = size(IM,1)*(tmpProject(:,1)-1)+tmpProject(:,2);
% 
%     sourceR = IM(:,:,1);
%     sourceG = IM(:,:,2);
%     sourceB = IM(:,:,3);
% 
%     white_color_data = sum(sum([sourceR(index), sourceG(index), sourceB(index)])/length(index))/3;
end