function ret = findcb (img, pts, ptsI)
     tic
    % close all;
%     img = im2double (imread ('test.bmp'));
    % img = im2double (imread ('s2.rotated.jpg'));
    gray = 0.3 * img (:,:, 1) + 0.59 * img (:,:,2) + 0.11 * img (:,:,3);

    % tmp = conv2fft (gray, g);

    sigma = 1;

    siz = [size(img,2), size(img,1)];
    
    gs = calcGaussian (sigma, max(1,fix(8*sigma+1)));
%     grays = conv2fft (gray, gs, 'same');

    % dx = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'x');
    % dy = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'y');
    dxx = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'xx');
    dyy = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'yy');
    dxy = calcGaussian (sigma, max(1,fix(8*sigma+1)), 'xy');

    % rx = conv2fft (gray, dx, 'same');
    % ry = conv2fft (gray, dy, 'same');
    rxx = conv2fft (gray, dxx, 'same');
    ryy = conv2fft (gray, dyy, 'same');
    rxy = conv2fft (gray, dxy, 'same');

    % k=0.04;

    C = rxx .* ryy - rxy.^2; %) - k*(Ixx+Iyy).^2;

    radius = 5;
    ms = ordfilt2 (C, 1, ones (radius));
    mss = (C==ms).*C;

    thr = min (min (mss)) * 0.1;
    peaks = find (mss<thr);
    [a, b] = hist (mss(peaks));

    Npts = 100;

    for i=1:length (a)-1;
        if (sum (a(1:i))>Npts)
            break;
        end
    end

    rez = mss<(b(i)+(b(2)-b(1))/2);

    [py, px] = find (rez);
    
    retpts = [px, py];
    retptsI = 1:length (px);
    % hold on;

    k = 1;

    sizx = size (img, 2);
    sizy = size (img, 1);

    for i = 1:length (px)
        if (px(i)<=k || py(i)<=k || px(i)>sizx-k || py(i)>sizy-k)
    %         plot (px(i), py(i), 'rx');
    %         plot (px(i), py(i), 'yo');
            continue;
        end
    %     Rx = rx(py(i),px(i));
    %     Ry = ry(py(i),px(i));
    %     Rxx = rxx(py(i),px(i));
    %     Rxy = rxy(py(i),px(i));
    %     Ryy = ryy(py(i),px(i));
    %     s = (Ry.*Rxy-Rx.*Ryy)/(Rxx.*Ryy-Rxy.^2);
    %     t = (Rx.*Rxy-Ry.*Ryy)/(Rxx.*Ryy-Rxy.^2);

    %     tmp = gray (py(i)-k:py(i)+k, px(i)-k:px(i)+k);
    %     
    %     b = [];
    %     f = [];
    %     for y=-k:k
    %         for x=-k:k
    %             b(end+1,:) = [1, x, y, x^2, x*y, y^2];
    %             f(end+1) = gray (py(i)+y, px(i)+x)-0.5;
    %         end
    %     end

        [x, y] = meshgrid (-k:k, -k:k);
        Nel = numel(x);
        b = [ones(Nel,1), reshape(x,Nel,1), reshape(y,Nel,1), reshape(x.^2,Nel,1), reshape(x.*y,Nel,1), reshape(y.^2,Nel,1)];
        f = gray (py(i)-k:py(i)+k, px(i)-k:px(i)+k)-0.5;
        f = reshape (f, Nel, 1);

    %     f = f';
        B = b;
        C = (B'*B)^-1*B'*f;
    %     [tx, ty] = meshgrid (-k:k, -k:k);
        a = C(4); b = C(5); c = C(6); d = C(2); e = C(3); f = C(1);
        R = -[2*a, b; b, 2*c]^-1*[d;e];
        Rx = R(1);
        Ry = R(2);
    %     Ry = (2*c*d-b*e)/(b^2-4*a*c);
    %     Rx = -(b*d-2*a*e)/(b^2-4*a*c);

    %     figure (2);
    %     mesh (tx, ty, tmp-0.5);
    %     figure (3);
    %     mesh (tx, ty, func (tx, ty, C));
    %     hold on;
    %         plot (0, 0, 'gx');
    %         plot (s, t, 'rx');
    %         plot (Rx, Ry, 'bx');
    %     hold off;
    %     
    %     figure (4);
    %     imagesc (func (tx, ty, C));
    % 
    %     hold on;
    %         plot (k+1, k+1, 'rx');
    %         plot (k+s+1, k+t+1, 'mx');
    %         plot (k+Rx+1, k+Ry+1, 'bx');
    %     hold off;
    % 
    %     figure (5);
    %     contour (tx, ty, func (tx, ty, C))
    %     hold on;
    %         plot (0, 0, 'rx');
    %         plot (s, t, 'mx');
    %         plot (Rx, Ry, 'bx');
    %     hold off;

    %     figure (1);
    %     plot (px(i)+s, py(i)+t, 'mx');
    %     plot (px(i)+Rx, py(i)+Ry, 'bx');
    %     plot (px(i), py(i), 'rx');

        px(i) = px(i) + Rx;
        py(i) = py(i) + Ry;
    end

    tmpI = [min(ptsI(:,1)), min(ptsI(:,2));
        max(ptsI(:,1)), min(ptsI(:,2));
        max(ptsI(:,1)), max(ptsI(:,2));
        min(ptsI(:,1)), max(ptsI(:,2))];
    
    tH = calcH (tmpI, pts);
    ptsI(:,3) = 1;

    tpts = hom (tH*ptsI');

    npts = [px, py];
    
    ret = [];    
    for i=1:size (tpts,1)
        tmp = npts;
        tmp(:,1) = tmp(:,1) - tpts(i,1);
        tmp(:,2) = tmp(:,2) - tpts(i,2);

        d = sum(tmp.^2, 2);
        [t, ti] = min (d);
        ret (i,1:2) = npts(ti,:);
    end

    toc


    % hold off;
% 
%     tpx = (px-sizx/2)/(sizx/2);
%     tpy = (py-sizy/2)/(sizy/2);
% 
%     % RANSAC
% 
%     Niter = 2000;
%     Npts = length (px);
% 
% %     pts = [tpx, tpy];
%     pts = [px, py];
%     pts (:, 3) = 1;
% 
%     tmpx = repmat (pts(:,1), 1, size (pts,1));
%     tmpy = repmat (pts(:,2), 1, size (pts,1));
%     dx = (tmpx - tmpx').^2;
%     dy = (tmpy - tmpy').^2;
% 
%     [tsort, tsortind] = sort (dx+dy);
% 
%     Nneigh = 12;
% 
%     for iter = 1:Niter
%     %     iter
%         while true
%             tind = round (RANDOM (1, Npts, 1));
% 
%             tneigh = tsortind(round (RANDOM (2,Nneigh, 3, 1)), tind);
%             tind = [tind; tneigh];
%     %             tind = [2 3 9 10];
% 
%             Rpts = pts(tind, :);%[px(tind), py(tind)];
%             if checkPts (Rpts) 
%                 break;
%             end
%         end
% 
%         Rpts = orderPts (Rpts);
%     %     tmpH = calcH ([-1 -1 1; 1 -1 1; 1 1 1; -1 1 1], Rpts);
% %         tmpH = calcH ([0 0 1; 1 0 1; 1 1 1; 0 1 1], Rpts, siz);
%         tmpH = calcH (Rpts, [0 0 1; 1 0 1; 1 1 1; 0 1 1], siz);
% 
%         [teval, teind] = evalH (tmpH, pts);
% 
%         if iter==1 || teval>Rmax
%             Rmax = teval;
%             Hmax = tmpH;
%             Imax = tind;
%             HImax = teind;
%         end
%     end
% 
%     % t = Hmax*pts';
%     % t = hom (t);
%     % figure (); plot (t(:,1), t(:,2), 'rx')
% 
%     ftmp = hom (Hmax * pts (HImax, :)');
%     Ipts = round (ftmp);
% 
%     finH = calcH (pts(HImax, :), Ipts, siz);
%     [teval, teind] = evalH (finH, pts);
% 
%     ftmp = hom (Hmax * pts (teind, :)');
%     Ipts = round (ftmp);
%     
%     retpts = [px(teind), py(teind)];
%     retptsI = Ipts(:,1:2);
%     retptsI(:,1) = retptsI(:,1) - round (median (retptsI(:,1)));
%     retptsI(:,2) = retptsI(:,2) - round (median (retptsI(:,2)));
%     
%      toc
% 
% %     figure (1);
% %     imshow (gray);
% 
%     hold on;
%     
%     plot (px, py, 'bx');
%     plot (px(teind), py(teind), 'go');
%     plot (px(teind), py(teind), 'rx');
%     plot (px(Imax), py(Imax), 'ro');
% hold off;
end
